Bug 475032 - Review Request: gnaural - A multi-platform programmable binaural-beat generator.
Review Request: gnaural - A multi-platform programmable binaural-beat generator.
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-06 15:28 EST by Rakesh Pandit
Modified: 2009-01-04 21:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-04 21:06:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
debarshir: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-12-06 15:28:26 EST
Gnaural is a multi-platform programmable binaural-beat generator,
implementing the principles described in the October 1973 Scientific
American article "Auditory Beats in the Brain" (Gerald Oster).  There
has been considerable research done on the subject since that
publication, and Gnaural's Windows-based predecessor, WinAural, has
been used as the audio stimulus in at least one published study, "The
Induced Rhythmic Oscillations of Neural Activity in the Human Brain",
D. Cvetkovic, D. Djuwari, I. Cosic (Australia), from Proceeding (417)
Biomedical Engineering - 2004.

                 The central finding of Oster's article: brain
activity can be entrained to the auditory beat frequencies created
when each ear is presented simultaneously with tones of slightly
different frequency.

SRPM: http://rakesh.fedorapeople.org/srpm/gnaural-1.0-1.fc10.20080808.src.rpm
SPEC: http://rakesh.fedorapeople.org/spec/gnaural.spec

HOME PAGE: http://gnaural.sourceforge.net/

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=984433
Comment 1 Rakesh Pandit 2008-12-23 10:26:58 EST
I: Testing
Comment 2 Rakesh Pandit 2008-12-23 10:27:40 EST
Ignore this comment.
Comment 3 Debarshi Ray 2008-12-24 13:06:24 EST
MUST Items: 

OK - rpmlint is clean

xx - does not follow Naming Guidelines
    + Looking at the upstream release announcement, it looks like 1.0.20080808
      should be the value of the version tag, although they say that the 1.0
      release is "a stable snapshot of the beta Gnaural2". Ubuntu has also
      chosen to include the date in the version tag and not in the release tag.

OK - spec file is named as %{name}.spec

xx - package meets Packaging Guidelines
    + The description is too verbose. Apart from the first sentence, the
      content mainly describes the surrounding research and not Gnaural itself.
    + To preserve timestamps you could consider using:
      make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
    + According to
      'install -p' should be used to preserve timestamps.
    + Instead of putting gnaural-icon.png in /usr/share/pixmaps you could
      consider putting it in /usr/share/icons/hicolor/48x48/apps and add
      'Requires: hicolor-icon-theme'. If you do so, then you should use the
      necessary post and postun scriptlets from
      gnaural-icon.xpm is a better candidate for /usr/share/pixmaps.

OK - Fedora approved license and meets Licensing Guidelines
OK - License field meets actual license
OK - upstream license file included in %doc
OK - spec file uses American English
OK - spec file is legible
OK - sources match upstream sources
OK - package builds successfully
OK - ExcludeArch not needed

xx - redundant and extra build dependencies listed
    + pkgconfig is brought in by all the -devel packages providing *.pc files

OK - no locales
OK - no shared libraries
OK - package is not relocatable
OK - file and directory ownership
OK - no duplicates in %file
OK - file permissions set properly
OK - %clean present
OK - macros used consistently
OK - contains code and permissable content
OK - -doc is not needed
OK - contents of %doc does not affect the runtime
OK - no header files
OK - no static libraries
OK - no pkgconfig files
OK - no library files
OK - -devel is not needed
OK - no libtool archives

xx - %{name}.desktop file is not properly installed
    + If the package installs a .desktop file, then desktop-file-install must
      be run. In this case mv can not be used. See
    + According to
      https://fedoraproject.org/wiki/Packaging/Guidelines#Icon_tag_in_Desktop_Files it is better to use only 'gnaural-icon' as the value for the Icon tag in
      order to support theming.

OK - does not own files or directories owned by other packages
OK - buildroot correctly prepped
OK - all file names valid UTF-8


OK - upstream provides license text
xx - no translations for description and summary
OK - package builds in mock successfully
OK - package builds on all supported architectures
OK - package functions as expected
OK - scriptlets are sane
OK - subpackages are not needed
OK - no pkgconfig files
OK - no file dependencies
Comment 5 Debarshi Ray 2009-01-04 04:43:28 EST
> MUST Items: 

> xx - package meets Packaging Guidelines
> [...]
>     + According to
>       https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
>       'install -p' should be used to preserve timestamps.

You missed this one. :-)

Recently the Fedora Packaging Committee decided to not use --vendor=fedora anymore, but that decision was waiting to be approved by FESCo. See:
+ http://fedoraproject.org/wiki/Packaging/Minutes/20081021
+ https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor
I have just dropped a mail on fedora-devel-list to find out what the current is.
Comment 8 Debarshi Ray 2009-01-04 11:33:20 EST
Sorry for not pointing this out earlier, but "Application" should not be a part of the "Categories" key in the .desktop file:
[rishi@ginger SPECS]$ desktop-file-validate /usr/share/applications/gnaural.desktop 
/usr/share/applications/gnaural.desktop: warning: value "Application;AudioVideo;AudioVideoEditing;" for key "Categories" in group "Desktop Entry" contains a deprecated value "Application"
[rishi@ginger SPECS]$ 

Also, please try to discuss and submit your modifications to the .desktop file upstream.

Otherwise it looks fine.

| This package is APPROVED by me. |
Comment 9 Rakesh Pandit 2009-01-04 11:50:02 EST
Will fix it before importing.

New Package CVS Request
Package Name: gnaural
Short Description: A multi-platform programmable binaural-beat generator.
Owners: rakesh
Branches: F-8 F-9 F-10
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2009-01-04 15:42:23 EST
F-8 branches are no longer accepted. 

cvs done for the rest.
Comment 11 Fedora Update System 2009-01-04 17:15:05 EST
gnaural-1.0.20080808-5.fc9 has been submitted as an update for Fedora 9.
Comment 12 Fedora Update System 2009-01-04 17:15:58 EST
gnaural-1.0.20080808-5.fc10 has been submitted as an update for Fedora 10.
Comment 13 Rakesh Pandit 2009-01-04 21:06:49 EST
Fixed and imported.

Note You need to log in before you can comment on or make changes to this bug.